unit ClientForm;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Edit;

type
  TForm2 = class(TForm)
    Edit1: TEdit;
    btnServerTime: TButton;
    btnReverseString: TButton;
    procedure btnServerTimeClick(Sender: TObject);
    procedure btnReverseStringClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.fmx}

uses ClientClassesUnit1, ClientModuleUnit1;

procedure TForm2.btnReverseStringClick(Sender: TObject);
begin
  Edit1.Text := ClientModule1.MyServerMethodsClient.ReverseString(Edit1.Text)
end;

procedure TForm2.btnServerTimeClick(Sender: TObject);
begin
  Edit1.Text := DateTimeToStr(ClientModule1.MyServerMethodsClient.ServerTime)
end;

end.
